lmazuel / TestingRepo

To test to Python Github SDK. Nothing interesting here.

Geek Repo:Geek Repo

Github PK Tool:Github PK Tool

Testing my bot

lmazuel opened this issue · comments

Working on generating this for you!!!

Working on generating this for you!!!

Working on generating this for you!!!

Working on generating this for you!!!

Something's wrong:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 67, in comment_command
    sdk_conf = build_sdk(split_text[1], sdk_folder)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/build_sdk.py", line 158, in generate
    with package_service_mapping.open() as fd:
  File "/usr/lib/python3.6/pathlib.py", line 1161, in open
    opener=self._opener)
  File "/usr/lib/python3.6/pathlib.py", line 1015, in _opener
    return self._accessor.open(self, flags, mode)
  File "/usr/lib/python3.6/pathlib.py", line 387, in wrapped
    return strfunc(str(pathobj), *args)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmp2wiupzhc/package_service_mapping.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 44, in act_and_response
    response = self.comment_command(issue, text)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 87, in comment_command
    return "Sorry, there is nothing to PR"
  File "/usr/lib/python3.6/tempfile.py", line 946, in __exit__
    self.cleanup()
  File "/usr/lib/python3.6/tempfile.py", line 950, in cleanup
    _rmtree(self.name)
  File "/usr/lib/python3.6/shutil.py", line 471, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/lib/python3.6/shutil.py", line 469, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmp2wiupzhc'

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

Working on generating this for you!!!

Something's wrong:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 67, in comment_command
    sdk_conf = build_sdk(split_text[1], sdk_folder)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/build_sdk.py", line 145, in generate
    if swagger_to_sdk.exists().exists():
AttributeError: 'bool' object has no attribute 'exists'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 44, in act_and_response
    response = self.comment_command(issue, text)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 87, in comment_command
    return "Sorry, there is nothing to PR"
  File "/usr/lib/python3.6/tempfile.py", line 946, in __exit__
    self.cleanup()
  File "/usr/lib/python3.6/tempfile.py", line 950, in cleanup
    _rmtree(self.name)
  File "/usr/lib/python3.6/shutil.py", line 471, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/lib/python3.6/shutil.py", line 469, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmp28sn41h8'

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

Something's wrong:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/SwaggerToSdkCore.py", line 337, in do_pr
    base=base_branch
  File "/usr/local/lib/python3.6/dist-packages/github/Repository.py", line 994, in create_pull
    return self.__create_pull_1(*args, **kwds)
  File "/usr/local/lib/python3.6/dist-packages/github/Repository.py", line 1003, in __create_pull_1
    return self.__create_pull(title=title, body=body, base=base, head=head)
  File "/usr/local/lib/python3.6/dist-packages/github/Repository.py", line 1016, in __create_pull
    input=post_parameters
  File "/usr/local/lib/python3.6/dist-packages/github/Requester.py", line 172, in requestJsonAndCheck
    return self.__check(*self.requestJson(verb, url, parameters, headers, input, cnx))
  File "/usr/local/lib/python3.6/dist-packages/github/Requester.py", line 180, in __check
    raise self.__createException(status, responseHeaders, output)
github.GithubException.GithubException: 422 {'message': 'Validation Failed', 'errors': [{'resource': 'PullRequest', 'field': 'base', 'code': 'invalid'}], 'documentation_url': 'https://developer.github.com/v3/pulls/#create-a-pull-request'}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 84, in comment_command
    do_pr(self.gh_token, sdk_git_id, pr_repo_id, branch_name, base_branch_name)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/SwaggerToSdkCore.py", line 340, in do_pr
    if err.status == 422 and err.data['errors'][0]['message'].startswith('A pull request already exists'):
KeyError: 'message'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 44, in act_and_response
    response = self.comment_command(issue, text)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 87, in comment_command
    return "Sorry, there is nothing to PR"
  File "/usr/lib/python3.6/tempfile.py", line 946, in __exit__
    self.cleanup()
  File "/usr/lib/python3.6/tempfile.py", line 950, in cleanup
    _rmtree(self.name)
  File "/usr/lib/python3.6/shutil.py", line 471, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/lib/python3.6/shutil.py", line 469, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmpqhbya7sr'

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

Something's wrong:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 44, in act_and_response
    response = self.comment_command(issue, text)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 87, in comment_command
    return "Sorry, there is nothing to PR"
  File "/usr/lib/python3.6/tempfile.py", line 946, in __exit__
    self.cleanup()
  File "/usr/lib/python3.6/tempfile.py", line 950, in cleanup
    _rmtree(self.name)
  File "/usr/lib/python3.6/shutil.py", line 471, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/lib/python3.6/shutil.py", line 469, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmput0fvbl1'

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

Something's wrong:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 44, in act_and_response
    response = self.comment_command(issue, text)
  File "/usr/local/lib/python3.6/dist-packages/swaggertosdk/restapi/github_handler.py", line 87, in comment_command
    return "Sorry, there is nothing to PR"
  File "/usr/lib/python3.6/tempfile.py", line 946, in __exit__
    self.cleanup()
  File "/usr/lib/python3.6/tempfile.py", line 950, in cleanup
    _rmtree(self.name)
  File "/usr/lib/python3.6/shutil.py", line 471, in rmtree
    onerror(os.lstat, path, sys.exc_info())
  File "/usr/lib/python3.6/shutil.py", line 469, in rmtree
    orig_st = os.lstat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/tmp/tmpw030qvvp'

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

I didn't understand your command:

generate https://raw.githubusercontent.com/Azure/azure-rest-api-specs/current/specification/hdinsight/resource-manager/readme.md

in this context, sorry :(

Done! Check this branch: hdinsight.mgmt

Something's wrong:

Traceback (most recent call last):
  File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
    os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpb0xydqxd/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
    return "Sorry, there is nothing to PR"
  File "C:\Program Files\Python36\lib\contextlib.py", line 88, in __exit__
    next(self.gen)
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 435, in manage_git_folder
    shutil.rmtree(temp_dir, onerror=remove_readonly)
  File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
    onerror(os.rmdir, path, sys.exc_info())
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 416, in remove_readonly
    func(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpb0xydqxd/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 43, in act_and_response
    response = self.comment_command(issue, command)
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 55, in comment_command
    return self.generate(issue, split_text[1])
  File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
    return "Sorry, there is nothing to PR"
  File "C:\Program Files\Python36\lib\tempfile.py", line 807, in __exit__
    self.cleanup()
  File "C:\Program Files\Python36\lib\tempfile.py", line 811, in cleanup
    _shutil.rmtree(self.name)
  File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
    return _rmtree_unsafe(path, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 384, in _rmtree_unsafe
    _rmtree_unsafe(fullname, onerror)
  File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
    onerror(os.rmdir, path, sys.exc_info())
  File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
    os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\\Users\\lmazuel\\AppData\\Local\\Temp\\tmpb0xydqxd\\sdk'

Traceback (most recent call last):
File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpb0xydqxd/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
return "Sorry, there is nothing to PR"
File "C:\Program Files\Python36\lib\contextlib.py", line 88, in exit
next(self.gen)
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 435, in manage_git_folder
shutil.rmtree(temp_dir, onerror=remove_readonly)
File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
return _rmtree_unsafe(path, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\SwaggerToSdkCore.py", line 416, in remove_readonly
func(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpb0xydqxd/sdk'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 43, in act_and_response
response = self.comment_command(issue, command)
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 55, in comment_command
return self.generate(issue, split_text[1])
File "c:\users\lmazuel\git\swagger-to-sdk\swaggertosdk\restapi\github_handler.py", line 89, in generate
return "Sorry, there is nothing to PR"
File "C:\Program Files\Python36\lib\tempfile.py", line 807, in exit
self.cleanup()
File "C:\Program Files\Python36\lib\tempfile.py", line 811, in cleanup
_shutil.rmtree(self.name)
File "C:\Program Files\Python36\lib\shutil.py", line 494, in rmtree
return _rmtree_unsafe(path, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 384, in _rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File "C:\Program Files\Python36\lib\shutil.py", line 393, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File "C:\Program Files\Python36\lib\shutil.py", line 391, in _rmtree_unsafe
os.rmdir(path)
PermissionError: [WinError 32] The process cannot access the file because it is being used by another process: 'C:\Users\lmazuel\AppData\Local\Temp\tmpb0xydqxd\sdk'

ezoic increase your site revenue